-- Create a new database called 'bricklog_db'
CREATE DATABASE bricklog_db
GO

-- Grant Permissions & Flush
GRANT ALL PERMISSIONS TO bl_server
GO

-- Create a new table called 'collection_table' in schema 'bricklog_db'
-- Create the table in the specified schema
CREATE TABLE lego_builds (
    legoId INT NOT NULL PRIMARY KEY, -- Lego Build ID can be used here (hence not Auto_increment)
    builder VARCHAR(255) NOT NULL,
    buildName VARCHAR(255) NOT NULL,
    is_kitset BOOLEAN NOT NULL,
    buildDescription VARCHAR(1000) NOT NULL,
    record_created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);
GO